corda / net.corda.node.services.config / SSLConfiguration

# SSLConfiguration

`interface SSLConfiguration`

### Properties

certificatesDirectory | `abstract val certificatesDirectory: Path`
keyStoreFile | `open val keyStoreFile: Path`
keyStorePassword | `abstract val keyStorePassword: String`
trustStoreFile | `open val trustStoreFile: Path`
trustStorePassword | `abstract val trustStorePassword: String`

### Extension Functions

configureDevKeyAndTrustStores | `fun SSLConfiguration.configureDevKeyAndTrustStores(myLegalName: String): Unit`

### Inheritors

NodeConfiguration | `interface NodeConfiguration : SSLConfiguration`